- Home
- Cyrus IMAP
- Download
- Contribute

# sasl_getsimple_t - The SASL callback for username/authname/realm

## Synopsis

    #include <sasl/sasl.h>

    int sasl_getsimple_t(void *context,
                        int id,
                        const char ** result,
                        unsigned * len);

## Description

`int sasl_getsimple_t(void *context,`
`int id,`
`const char ** result,`
`unsigned * len);`

  sasl_getsimple_t is used to retrieve simple things from the application. In practice this is authentication name, authorization name, and realm.

  Parameters: | context – SASL connection context id – indicates which value is being requested. Possible values include: SASL_CB_USER ‐ Client user identity to login as SASL_CB_AUTHNAME ‐ Client authentication name SASL_CB_LANGUAGE ‐ Comma‐separated list of RFC 1766 languages SASL_CB_CNONCE ‐ Client‐nonce (for testing mostly) result – value of the item requested len – lenth of the result

## Return Value

SASL callback functions should return SASL return codes. See sasl.h for a complete list. `SASL_OK` indicates success.

## See Also

RFC 4422,:saslman:sasl(3), sasl_callbacks(3), sasl_errors(3)